import React from 'react'
import {Select} from 'antd'
import {Controlled} from 'react-codemirror2'
import 'codemirror/mode/javascript/javascript'
import 'codemirror/mode/xml/xml'
import 'codemirror/mode/clike/clike'
import 'codemirror/lib/codemirror.css'
import 'codemirror/theme/xq-light.css'
import 'codemirror/theme/material.css'
import './codeMirror.less'

export default class CodeMirror extends React.Component {
    state = {
        theme: 'material', // 主题
        mode: 'text/x-scala' // 高亮语法种类
    };

    render() {
        const {...props} = this.props;
        return (
            <div className="yt-codeMirror">
                <Select
                    value={this.state.theme}
                    className="slt"
                    onChange={value => this.setState({
                        theme: value
                    })}
                >
                    <Select.Option value="material">material</Select.Option>
                    <Select.Option value="xq-light">xq-light</Select.Option>
                </Select>
                <Select
                    value={this.state.mode}
                    className="ml-lg mb-xs slt"
                    onChange={value => this.setState({
                        mode: value
                    })}
                >
                    <Select.Option value="text/x-scala">scala</Select.Option>
                    <Select.Option value="text/x-java">java</Select.Option>
                    <Select.Option value="xml">html</Select.Option>
                    <Select.Option value="javascript">javascript</Select.Option>
                </Select>
                <Controlled
                    options={{
                        mode: this.state.mode,
                        theme: this.state.theme,
                        lineNumbers: true
                    }}
                    {...props}
                >
                </Controlled>
            </div>
        )
    }
}